Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007195TestLinkThird party componentspublic2015-07-09 18:452015-09-19 08:49
Reporterquietust 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSOS Version
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007195: E_WARNINGs on Windows from unlink() within Smarty
DescriptionRunning TestLink on Windows (Apache 2.4) results in large quantities of E_WARNING messages showing up in the Warning log, all coming from unlink() calls within Smarty:

E_WARNING unlink(C:\www\testlink\gui\templates_c\1f1c4a5cd4d463638e65ab8fb93ca0368dd0f392.file.navBar.tpl.php): No such file or directory - in C:\www\testlink\third_party\smarty3\libs\sysplugins\smarty_internal_write_file.php - Line 57

Smarty is calling @unlink() to suppress warning messages (apparently, for efficiency reasons, it doesn't confirm that the file exists before deleting it), but TestLink's error handler is still catching them.

The error handler already contains a short list of errors to ignore, so it's an ideal place to add this one.
Additional InformationChecked against GitHub, latest commit (f4e82f5b3af1539f04afc8a9a3dc4a49a76cf543)
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version5.6.10
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0023612)
fman (administrator)
2015-07-09 21:19

I've no windows env where to test. Would you mind to get fix, test & provide feedback?
(0023613)
quietust (reporter)
2015-07-09 21:44

Just applied the fix to my Windows test environment, and it appears to be working.
(0023902)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-07-09 18:45 quietust New Issue
2015-07-09 18:49 fman QA Team - Task Workflow Status => TBD
2015-07-09 21:19 fman Note Added: 0023612
2015-07-09 21:19 fman Assigned To => fman
2015-07-09 21:19 fman Status new => feedback
2015-07-09 21:19 fman Relationship added child of 0006830
2015-07-09 21:44 quietust Note Added: 0023613
2015-07-09 21:44 quietust Status feedback => assigned
2015-07-11 12:57 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-07-11 12:57 fman Status assigned => resolved
2015-07-11 12:57 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-07-11 12:57 fman Resolution open => fixed
2015-09-19 08:49 fman Note Added: 0023902
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker